apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: metric-analyzer-worker
  name: metric-analyzer-worker
  namespace: imxc
spec:
  replicas: 10
  selector:
    matchLabels:
      app: metric-analyzer-worker
  template:
    metadata:
      labels:
        app: metric-analyzer-worker
    spec:
      containers:
      - image: {{ .Values.global.IMXC_IN_REGISTRY }}/metric_analyzer_worker:{{ .Values.global.METRIC_ANALYZER_WORKER_VERSION }}
        imagePullPolicy: IfNotPresent
        name: worker
#        volumeMounts:
#          - mountPath: /etc/localtime
#            name: timezone-config
        env:
          - name: BROKER
            value: base-rabbitmq
          - name: IMXC_RABBITMQ_CLIENT_ID
            value: "user"
          - name: IMXC_RABBITMQ_CLIENT_PASSWORD
            value: "eorbahrhkswp"
#      volumes:
#        - hostPath:
#            path: /usr/share/zoneinfo/Asia/Seoul
#          name: timezone-config
        resources:
          requests:
            memory: "100Mi"
